*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    border: 0;
}

:root {
  --color-principal: #505050;
  --color-secundario: #a8a8a8;
  --color-fondo: #dcdfe5;
  --espacio-chico: 0.5rem;
  --espacio-medio: 1rem;
  --borde-redondeado: 8px;
  --sombra-suave: 0 4px 8px rgba(0,0,0,0.5);
}

body {

    font-family: Georgia, 'Times New Roman', Times, serif;
}

.menu {
    margin-inline: auto;
    width: 50%;
}

.boton_menu {
    margin-bottom: .55rem;
    border-bottom: solid 1px #a8a8a8;
    text-align: center;
    background-color: #efcff6;
    border-radius: 20px;
    padding: .5rem;
    width: 70%;
    margin-inline: auto;
}

header {
    background-color: #581271;
    padding: 1.75rem;
    box-shadow:  0 4px 8px rgb(255, 255, 255);
    margin-bottom: 2rem;
}

#logo{
    width: 30%;
    background-color: #ffffff;
    border-radius: 8px;
    padding: .5rem;
    margin-inline: auto;
    margin-bottom: 1.5rem;
}

#logo img{
    min-width: 100%;
    display: block;
}

img{
    max-width: 100%;
}

h1{
    color: #581271;
    text-align: center;
}

h2{
    background-color: #581271;
    color: rgb(255, 255, 255);
    text-align: center;
    margin: 1rem;
    border-radius: 6px;
}

.mi_foto {
    background-color: #581271;
    border: solid 4px #581271;
    aspect-ratio: 1;
    object-fit: cover;
    width: 90%;
    margin-inline: auto;
    margin-bottom: 1.2rem;
    border-radius: 20%;
}

.mi_foto img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    display: block;
    border-radius: 20%;
}

.sobre_mi h2{
    text-align: center;
    margin: 1rem;
    background-color: #e3b9f3;
    border-radius: 6px;
    margin: 2rem;
    text-align: center;
    padding: 4%;
    color: #581271;
}

.seccion_materias {
    background-color: #e3b9f3;
    border-radius: 6px;
    margin: 2rem;
    text-align: center;
    padding: 4%;
}

.marco_estudiante article{
    background-color: #f3ddfb;
    border-radius: 6px; 
    margin: 2rem;
    text-align: center;
    padding: 4%;
}

.foto_estudiante{
    background-color: rgb(255, 255, 255);
    border: solid 5px #581271;
    aspect-ratio: 1;
    object-fit: cover;
    width: 90%;
    margin-inline: auto;
    margin-bottom: 1.2rem;
    margin: 5%;
    text-align: center;
}

.foto_estudiante img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    display: block;
    text-align: center;
    }

    h3 {
        margin-bottom: 1rem;
        text-align: center;
        
    }

.boton-perfil {
    display: inline-block;    
    margin-top: 1rem;         
    padding: 0.6rem 1.2rem;   
    background-color: #581271; 
    color: #ffffff;           
    text-decoration: none;    
    border-radius: 6px;      
    font-weight: bold;        
    font-size: 0.9rem;
    text-align: center;
    transition: #e3b9f3 0.3s ease;
}

.boton-perfil:hover {
    background-color: #e3b9f3; 
    cursor: pointer;
}




.instituciones {
    margin-bottom: 2rem;
    padding: 1rem;
    background-color: #b0b0b0;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.25);
}

.instituciones figure{
    background-color: #ffffff;
    border-radius: 8px;
    width: 45%;
    height: 80px;
    padding: .5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 1.2rem;
}

.instituciones figure img{
    max-width: 90%;
    height: auto;
    display: block;
}

ul, li {
    list-style: none;
    color: #ffffff;
}

li {
    display: list-item;
    unicode-bidi: isolate;
    color: #000000;
}

.academicos > ul{
    margin: 1rem;
}

.academicos h2{
    background-color: #b0b0b0;
    color: white;
    text-align: center;
    margin: 1rem;
    border-radius: 6px;
}

.boton-sitio {
    display: inline-block;    
    margin-top: 1rem;         
    padding: 0.6rem 1.2rem;   
    background-color: #2b2b2b; 
    color: #efcff6;           
    text-decoration: none;    
    border-radius: 6px;      
    font-weight: bold;        
    font-size: 0.9rem;
    text-align: center;
    transition: #efcff6 0.3s ease;
}

.boton-sitio:hover {
    background-color: #efcff6; 
    cursor: pointer;
}

footer{
    background-color: #2b2b2b;
    padding: 1.75rem;
}

footer p{
    color: white;
    font-size: .7em;
}